require("ai.JINB.JINB")
--魔术百老汇
function c87592214.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)

	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(87592214,0))
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F)
	e2:SetCode(EVENT_CHAINING)
	e2:SetRange(LOCATION_FZONE)
	e2:SetCountLimit(1)
	e2:SetCondition(c87592214.con)
	e2:SetOperation(c87592214.op)
	c:RegisterEffect(e2)
end

function c87592214.con(e,tp,eg,ep,ev,re,r,rp)
	return re:IsHasType(EFFECT_TYPE_ACTIVATE) and re:GetActiveType()==TYPE_SPELL and not re:IsActiveType(TYPE_QUICKPLAY)
	and Duel.IsExistingMatchingCard(Card.IsRace,re:GetHandlerPlayer(),LOCATION_MZONE,0,1,nil,RACE_SPELLCASTER)
	and not Duel.IsExistingMatchingCard(Card.IsSetCard,re:GetHandlerPlayer(),LOCATION_HAND,0,1,nil,0x871)
end
function c87592214.op(e,tp,eg,ep,ev,re,r,rp)
	local p=re:GetHandlerPlayer()
	c=Duel.CreateToken(p,ac1[math.random(#ac1)])
	Duel.SendtoHand(c,p,REASON_RULE)
	--action
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_SINGLE)
	e1:SetCode(EFFECT_CANNOT_SSET)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetCode(EFFECT_QP_ACT_IN_NTPHAND)
	c:RegisterEffect(e2)
end
